Page MenuHomeFreeBSD

editors/setzer: Update to 54
ClosedPublic

Authored by Clockwork6400_protonmail.com on Mar 10 2023, 6:55 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jun 13, 6:24 PM
Unknown Object (File)
Tue, Jun 11, 10:18 PM
Unknown Object (File)
Tue, Jun 11, 9:26 PM
Unknown Object (File)
Wed, Jun 5, 3:17 AM
Unknown Object (File)
Mon, May 27, 2:07 AM
Unknown Object (File)
May 14 2024, 3:37 PM
Unknown Object (File)
Apr 25 2024, 10:07 PM
Unknown Object (File)
Mar 3 2024, 10:59 PM

Details

Summary

editors/setzer: Update to 54

Test Plan

build in jail 13.1-RELEASE amd64 was successful. I was unable to run the program after building for testing.

portlint >

WARN: /usr/ports/editors/setzer/pkg-descr: contains less than 2 lines, make it longer if possible.(currently 1 line)
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
0 fatal errors and 2 warnings found.

Please test, I couldn't run .

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

  1. Updating D39021: editors/setzer: Update to 54 #
  2. Enter a brief description of the changes included in this update.
  3. The first line is used as subject, next lines as comment. #
  4. If you intended to create a new revision, use:
  5. $ arc diff --create
  • added PKGNAMEPREFIX and flavors
  • I added more text to pkg-descr that I found on the site.
  • python:3.5+ replaced with python.

I failed to launch. I forgot to add the error I got while running.

Traceback (most recent call last):
  File "/usr/local/bin/setzer", line 29, in <module>
    from setzer.workspace.workspace import Workspace
  File "/usr/local/lib/python3.9/site-packages/setzer/workspace/workspace.py", line 23, in <module>
    from setzer.document.document_latex import DocumentLaTeX
  File "/usr/local/lib/python3.9/site-packages/setzer/document/document_latex.py", line 22, in <module>
    import setzer.document.build_system.build_system as build_system
  File "/usr/local/lib/python3.9/site-packages/setzer/document/build_system/build_system.py", line 26, in <module>
    import setzer.document.build_system.builder.builder_build_latex as builder_build_latex
  File "/usr/local/lib/python3.9/site-packages/setzer/document/build_system/builder/builder_build_latex.py", line 23, in <module>
    import pexpect
ModuleNotFoundError: No module named 'pexpect'

These issues will be fixed when committing the diff.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 17 2023, 9:03 AM
This revision was automatically updated to reflect the committed changes.